Bug 484887 - openjpeg.h is installed in a directory different from upstream's default
openjpeg.h is installed in a directory different from upstream's default
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openjpeg (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 09:50 EST by Dominik 'Rathann' Mierzejewski
Modified: 2009-07-16 02:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 02:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2009-02-10 09:50:47 EST
Description of problem:
openjpeg.h is installed in /usr/include/openjpeg/openjpeg.h. Upstream's "make install" puts it in /usr/include/openjpeg.h, which is where applications expect it to be (for example, bug 467661).

Version-Release number of selected component (if applicable):
rpm -q openjpeg-devel
openjpeg-devel-1.3-2.fc9

Additional information:
http://www.openjpeg.org/websvn/filedetails.php?repname=OpenJpeg&path=%2Ftrunk%2FMakefile&rev=0&sc=0
...
PREFIX = /usr
INSTALL_LIBDIR = $(PREFIX)/lib
INSTALL_INCLUDE = $(PREFIX)/include
...
        install -m 644 -o root -g root libopenjpeg/openjpeg.h '$(DESTDIR)$(INSTALL_INCLUDE)'
Comment 1 Callum Lerwick 2009-03-26 03:24:33 EDT
Actually /usr/include/openjpeg/ is where upstream's CMake puts it but I think I wrote that patch. :) make and CMake are out of sync. At the time of the package review someone-or-the-other was being a stickler for putting headers in subdirectories. I'd rather not change it until things are sorted out upstream. I brought this up on upstream's mailing list, but no resolution so far.
Comment 2 Rex Dieter 2009-06-19 09:43:49 EDT
The only reference I can find is:
http://groups.google.com/group/openjpeg/browse_thread/thread/4cc4d03c2de54eda

and the consensus there seemed to be to standardize on
/usr/include/openjpeg
going forward (which I happen to agree with).

Of course, there's some pkg-config love to be had (and maybe I can help there)
Comment 3 Rex Dieter 2009-06-19 09:52:26 EDT
Oh, and something like a FindOpenJpeg.cmake module too. :)
Comment 4 Rex Dieter 2009-06-19 10:59:40 EDT
In the meantime, let's drop in a /usr/include/openjpeg.h symlink for backward-compatibility, at least until pkg-config support lands.
Comment 5 Rex Dieter 2009-06-19 11:00:56 EDT
fixed in rawhide.
Comment 6 Fedora Update System 2009-06-19 11:18:57 EDT
openjpeg-1.3-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openjpeg-1.3-5.fc11
Comment 7 Fedora Update System 2009-06-19 11:19:40 EDT
openjpeg-1.3-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openjpeg-1.3-5.fc10
Comment 8 Fedora Update System 2009-06-24 15:20:18 EDT
openjpeg-1.3-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openjpeg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6882
Comment 9 Fedora Update System 2009-06-24 15:24:01 EDT
openjpeg-1.3-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openjpeg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6786
Comment 10 Fedora Update System 2009-07-16 02:51:09 EDT
openjpeg-1.3-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-16 02:53:59 EDT
openjpeg-1.3-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.